org.eclipse.net4j.util.io

## Class IOUtil.FileCollector

- java.lang.Object
- - org.eclipse.net4j.util.io.IOUtil.FileCollector

- All Implemented Interfaces:
    IOVisitor
  Enclosing class:
    IOUtil

      public static class IOUtil.FileCollector
      extends Object
      implements IOVisitor

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<File>` | `getFiles()`
    `boolean` | `visit(File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileCollector

          public FileCollector()

  - ### Method Detail

    - #### getFiles

          public List<File> getFiles()

    - #### visit

          public boolean visit(File file)
                        throws IOException

      Specified by:
        `visit` in interface `IOVisitor`
      Throws:
        `IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html